Skip to Content.
Sympa Menu

notify-dpml - r2012 - trunk/main

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: mcconnell at BerliOS <mcconnell AT mail.berlios.de>
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: r2012 - trunk/main
  • Date: Tue, 28 Aug 2007 20:14:29 +0200

Author: mcconnell
Date: 2007-08-28 20:14:28 +0200 (Tue, 28 Aug 2007)
New Revision: 2012

Modified:
trunk/main/bootstrap
Log:
update bootstrap script to ensure that the cli and build packages are build
using bootstrap.xml

Modified: trunk/main/bootstrap
===================================================================
--- trunk/main/bootstrap 2007-08-28 17:39:09 UTC (rev 2011)
+++ trunk/main/bootstrap 2007-08-28 18:14:28 UTC (rev 2012)
@@ -1,94 +1,94 @@
-#!/bin/sh
-#
-# Utility script that executes the bootstrap build.
-#
-# The following command will initate a bootstrap build using the BOOTSTRAP
-# version identifier.
-#
-# $ bootstrap
-#
-
-executeAnt()
-{
- STATUS=99
- while [ "$STATUS" -eq 99 ] ; do
- ant -Ddpml.signature=BOOTSTRAP "$@"
- STATUS="$?"
- done
- if [ "$STATUS" == 0 ] ; then
- echo ""
- else
- exit 1
- fi
-}
-
-xmlSetup()
-{
- ant -f bootstrap.xml xml
-}
-
-dpmlLangLibrary()
-{
- cd depot/library
- executeAnt -f bootstrap.xml clean install
- cd ../..
-}
-
-dpmlPart()
-{
- cd metro/part
- executeAnt -f bootstrap.xml clean install
- cd ../..
-}
-
-transitMain()
-{
- cd transit/core
- executeAnt -f bootstrap.xml clean install
- cd ../..
-}
-
-depotBuild()
-{
- cd depot/library
- executeAnt -f bootstrap.xml clean install
- cd ../..
-}
-
-depotTools()
-{
- cd depot/tools
- executeAnt -f bootstrap.xml clean install
- cd ../..
-}
-
-utilCli()
-{
- cd util/cli
- executeAnt clean install
- cd ../..
-}
-
-externalModules()
-{
- cd external
- build clean install
- cd ..
-}
-
-depotBuild()
-{
- cd depot/build
- build -f bootstrap.xml clean install
- cd ../..
-}
-
-transitMain
-dpmlPart
-dpmlLangLibrary
-utilCli
-depotBuild
-depotTools
-externalModules
-
-echo BOOTSTRAP SUCCESSFUL
\ No newline at end of file
+#!/bin/sh
+#
+# Utility script that executes the bootstrap build.
+#
+# The following command will initate a bootstrap build using the BOOTSTRAP
+# version identifier.
+#
+# $ bootstrap
+#
+
+executeAnt()
+{
+ STATUS=99
+ while [ "$STATUS" -eq 99 ] ; do
+ ant -Ddpml.signature=BOOTSTRAP "$@"
+ STATUS="$?"
+ done
+ if [ "$STATUS" == 0 ] ; then
+ echo ""
+ else
+ exit 1
+ fi
+}
+
+#xmlSetup()
+#{
+# ant -f bootstrap.xml xml
+#}
+
+dpmlLangLibrary()
+{
+ cd depot/library
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+dpmlPart()
+{
+ cd metro/part
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+transitMain()
+{
+ cd transit/core
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+depotBuild()
+{
+ cd depot/library
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+depotTools()
+{
+ cd depot/tools
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+utilCli()
+{
+ cd util/cli
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+depotBuild()
+{
+ cd depot/build
+ executeAnt -f bootstrap.xml clean install
+ cd ../..
+}
+
+externalModules()
+{
+ cd external
+ build clean install
+ cd ..
+}
+
+transitMain
+dpmlPart
+dpmlLangLibrary
+utilCli
+depotBuild
+depotTools
+externalModules
+
+echo BOOTSTRAP SUCCESSFUL




  • r2012 - trunk/main, mcconnell at BerliOS, 08/28/2007

Archive powered by MHonArc 2.6.24.

Top of Page